﻿.ip-loader-container {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  background-color: transparent;
  z-index: 10000;
}
.ip-loader {
  width: 50px;
  height: 50px;
}
.ip-loader .ip-loader-circle {
  position: absolute;
  width: 40px;
  height: 40px;
  opacity: 0;
  transform: rotate(225deg);
  animation-iteration-count: infinite;
  animation-name: orbit;
  animation-duration: 4.5s;
}
.ip-loader .ip-loader-circle:after {
  content: '';
  position: absolute;
  width: 5px;
  height: 5px;
  border-radius: 5px;
  background: #0591CC;
  box-shadow: 0 0 9px rgba(255, 255, 255, .7);
}
.ip-loader .ip-loader-circle:nth-child(2) {
  animation-delay: 240ms;
}
.ip-loader .ip-loader-circle:nth-child(3) {
  animation-delay: 480ms;
}
.ip-loader .ip-loader-circle:nth-child(4) {
  animation-delay: 720ms;
}
.ip-loader .ip-loader-circle:nth-child(5) {
  animation-delay: 960ms;
}
@keyframes orbit {
  0% {
    transform: rotate(225deg);
    opacity: 1;
    animation-timing-function: ease-out;
  }
  7% {
    transform: rotate(345deg);
    animation-timing-function: linear;
  }
  30% {
    transform: rotate(455deg);
    animation-timing-function: ease-in-out;
  }
  39% {
    transform: rotate(690deg);
    animation-timing-function: linear;
  }
  70% {
    transform: rotate(815deg);
    opacity: 1;
    animation-timing-function: ease-out;
  }
  75% {
    transform: rotate(945deg);
    animation-timing-function: ease-out;
  }
  76% {
    transform: rotate(945deg);
    opacity: 0;
  }
  100% {
    transform: rotate(945deg);
    opacity: 0;
  }
}

#div_progress_container {
    display: none;
    position: fixed;
    top: 0;
    width: 100%;
    background-color: transparent;
}

#div_progress_bar {
    width: 0%;
    height: 4px;
    background-color: #0591CC;
}